// Navbar Change Js
var nav = document.querySelector('nav');

window.addEventListener('scroll', function () {
  if (window.pageYOffset > 100) {
    nav.classList.add('bg-gold', 'shadow');
  } else {
    nav.classList.remove('bg-gold', 'shadow');
  }
});



$(document).ready(function () {
  $('#banner-images').owlCarousel({
    loop: true,
    margin: 15,
    nav: false,
    autoplay: true,
    slideTransition: 'linear',
    autoplayTimeout: 4000,
    autoplaySpeed: 2000,
    autoplayHoverPause: true,
    responsive: {
      0: {
        items: 1
      },
      600: {
        items: 2
      },
      1000: {
        items: 2
      }
    },
  });
});

// Smooth Scroll Js
// Select all links with hashes
$('a[href*="#"]')
  // Remove links that don't actually link to anything
  .not('[href="#"]')
  .not('[href="#0"]')
  .click(function (event) {
    // On-page links
    if (
      location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') &&
      location.hostname == this.hostname
    ) {
      // Figure out element to scroll to
      var target = $(this.hash);
      target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
      // Does a scroll target exist?
      if (target.length) {
        // Only prevent default if animation is actually gonna happen
        event.preventDefault();
        $('html, body').animate({
          scrollTop: target.offset().top
        }, 1000, function () {
          // Callback after animation
          // Must change focus!
          var $target = $(target);
          $target.focus();
          if ($target.is(":focus")) { // Checking if the target was focused
            return false;
          } else {
            $target.attr('tabindex', '-1'); // Adding tabindex for elements not focusable
            $target.focus(); // Set focus again
          };
        });
      }
    }
  });



// Reveal Js
function reveal() {
  var reveals = document.querySelectorAll(".reveal");

  for (var i = 0; i < reveals.length; i++) {
    var windowHeight = window.innerHeight;
    var elementTop = reveals[i].getBoundingClientRect().top;
    var elementVisible = 150;

    if (elementTop < windowHeight - elementVisible) {
      reveals[i].classList.add("active");
    } else {
      reveals[i].classList.remove("active");
    }
  }
}

window.addEventListener("scroll", reveal);


//   ScreenShot js

new Swiper('.swiper-container', {
  loop: true,
  slidesPerView: 3,
  paginationClickable: true,
  spaceBetween: 20,
  pagination: '.swiper-pagination',
  slidesPerView: 'auto',
  paginationClickable: true,
  spaceBetween: 0,
  centeredSlides: true,
  speed: 6000,
  autoplay: 4000,
  breakpoints: {
    1920: {
      slidesPerView: 5,
      spaceBetween: 30
    },
    1190: {
      slidesPerView: 4,
      spaceBetween: 30
    },
    992: {
      slidesPerView: 3,
      spaceBetween: 50
    },
    768: {
      slidesPerView: 2,
      spaceBetween: 30
    },
    600: {
      slidesPerView: 1,
      spaceBetween: 30
    },
  }
});



$(document).ready(function () {
  initParadoxWay();
});

$("#goto_top").click(function () {
  $("html, body").animate({
    scrollTop: 0
  }, "slow");
  return false;
});
$(window).on("scroll", function () {
  if ($(this).scrollTop() > 500) {
    $("#goto_top").show();
  } else {
    $("#goto_top").hide();
  }
});

$("#preloader").fadeOut("slow", function () {
  $(this).remove();
});